# geos::algorithm::locate Namespace Reference

Classes which determine the Location of points in geometries. More...

## Classes

class | IndexedPointInAreaLocator
| Determines the location of Coordinates relative to a Polygon or MultiPolygon geometry, using indexing for efficiency. More...
class | PointOnGeometryLocator
| An interface for classes which determine the Location of points in Polygon or MultiPolygon geometries. More...
class | SimplePointInAreaLocator
| Computes the location of points relative to an areal Geometry, using a simple O(n) algorithm. More...

## Detailed Description

Classes which determine the Location of points in geometries.